Prog required framework 4

If it's not about a problem in the program
swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Prog required framework 4

Post by swan_x » Tue Dec 27, 2016 12:51 pm

I want run one program and that requires net framework 4 ...
I have sandboxie 5.16 installed. I installed on sandboxie the framework 4, after i run my program but this crashed! (WMI service don't start)
How to solve this problem with net framework on sandboxie?

Barb@Invincea
Sandboxie Support
Sandboxie Support
Posts: 2929
Joined: Mon Nov 07, 2016 3:10 pm

Re: Prog required framework 4

Post by Barb@Invincea » Tue Dec 27, 2016 1:43 pm

swan_x,

Please install net framework 4 outside Sandboxie and re-try launching your program.
What are your OS and AV versions?

Regards,
Barb.-

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Wed Dec 28, 2016 5:17 am

I have win 7 64bit (AV version what is?)
And i don't want installed framework outside sandboxie...this work but i want use framework inside sandboxie and after run my prog...
This is the question of my post, otherwise it's too easy...!

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Thu Dec 29, 2016 5:25 am

And another question: framework 4 and framework 4.5 isn't possible installed on sandboxie; framework 4.6.1 work...
but when run my prog into sandboxie, wmi service don't run and my prog crashes...

Barb@Invincea
Sandboxie Support
Sandboxie Support
Posts: 2929
Joined: Mon Nov 07, 2016 3:10 pm

Re: Prog required framework 4

Post by Barb@Invincea » Thu Dec 29, 2016 11:00 am

swan_x,

If you provide the name of the program and your OS, SBIE and AV versions, I may be able to test it.

Also, we need the full error message and, if possible, please reproduce the issue while running Resource Access Monitor and paste your results.
[https://www.sandboxie.com/index.php?Res ... essMonitor]

Regards,
Barb.-

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Fri Dec 30, 2016 5:27 am

The name of the prog is AnyTrans (try it, it's free)
My win version (i repeat, please see above ...) is win 7 64bit
AV version (i repeat, see above my post) what is? I use latest sandboxie version, 5.16 64bit
AV is antivirus?? I don't have nothing in my notebook...
But if you want help me to solve my problem, please install framework 4 or 4.5 into sandboxie, and you understand the problem...

Barb@Invincea
Sandboxie Support
Sandboxie Support
Posts: 2929
Joined: Mon Nov 07, 2016 3:10 pm

Re: Prog required framework 4

Post by Barb@Invincea » Fri Dec 30, 2016 10:59 am

swan_x,

I am not making any progress trying to install .Net Framework inside SBIE (I even tried the offline installers). However, if you install it on your host (right now I am using a fresh Win 7 VM with Framework 3.5 (got it after the windows updates)), you can install AnyTrans inside SBIE.

I do not know if we will be able to get framework to install sandboxed, not every program can be installed in an isolated environment. We usually recommend to install the programs on your machine and run them Sandboxed.
I'll touch base with the devs when they are back and see if they have any suggestions.

Regards,
Barb.-

Syrinx
Sandboxie Guru
Sandboxie Guru
Posts: 621
Joined: Fri Nov 13, 2015 4:11 pm

Re: Prog required framework 4

Post by Syrinx » Fri Dec 30, 2016 12:50 pm

I don't think that it will ever install just in Sandboxie. Nothing that requires drivers or services will be able to successfully install inside and as .Net requires the creation of services it won't complete. For .NET that would be the clr_optimization_ / NGEN services (mscorsvw) so it will need to be installed on the host.

Edit: I suppose you could attempt opening the HKEY_LOCAL_MACHINE\SYSTEM\Services registry path for the install session to allow it to add the actual services on the host but keep the files contained. I have never tested this and it may not work anyway but just a thought that randomly popped into my head as a remote possibility in getting the install to finish. I suspect that the install may also attempt to use the services it adds for the initial compiles and run into more problems when the expected paths aren't found as the started services will still be outside the scope of sandboxie and would not get redirected to the sandbox paths but I'm just guessing at this point.
https://www.ntlite.com

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Sat Dec 31, 2016 5:48 am

Ok, the problem is: (reply to the developer of sandboxie)
framework 4 or 4.5 (offline full installer) isn't possible to install into sandboxie!
Please try it and update your software! Thank you!

Peter2150
Posts: 879
Joined: Tue Mar 27, 2007 9:46 pm
Location: Washington DC

Re: Prog required framework 4

Post by Peter2150 » Sat Dec 31, 2016 6:01 pm

swan_x wrote:Ok, the problem is: (reply to the developer of sandboxie)
framework 4 or 4.5 (offline full installer) isn't possible to install into sandboxie!
Please try it and update your software! Thank you!
If what you are doing requires installation of a driver or service it can't be done. No update possible. You need to use a virtual machine.

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Tue Jan 03, 2017 5:44 am

Hi, first happy new year to everybody!
About your post i do not agree...if you read the changelog of sbie 3.32 :
"All versions of the .NET Framework (up to 3.5, including Silverlight) can be installed sandboxed"

Now it's possible installed framework into sandboxie!
But not the 4.0 or 4.5...then the developer on new release must be update the software to host framework 4...

Syrinx
Sandboxie Guru
Sandboxie Guru
Posts: 621
Joined: Fri Nov 13, 2015 4:11 pm

Re: Prog required framework 4

Post by Syrinx » Tue Jan 03, 2017 12:19 pm

That was for SBIE 3 and 4.x was a huge redesign. I'm not sure if it still applies for .NET 2/3 but even that release note didn't mention .NET 4.x

I gave it a quick whirl and manually took the addon from wincert and tried to recreate *most* of what it did for a .NET 4.6.2 (Win7 x64 only) sandbox.
I only tested one small app that didn't even require installation and it ran well inside the box but I can't make any guarantees it will be the same for your app. If it works, great ~ Otherwise I'm not sure what more can be done without actually installing .NET 4 on the host.

The instructions are pretty simple with a small caveat. Simply extract the archive (I used 7-zip to compress it) to the desired Sandbox.
The caveat is that the Registry information is needed so this will only really be helpful for new boxes. Once extracted, you'll need to re-install anything that needs information in the registry and was previously in the box... or if you need to keep the existing reghive it'll be a bit more complex. You can just extract the 'drive' folder and skip the reghive then run a regfile sandboxed:

Registry (.reg) for manual insertion into box via 'Run Sandboxed' to retain existing reghive:
http://www.mediafire.com/file/9whdp88kfhvowd6/NET4.reg

Download Link for NET462 Box:
http://www.mediafire.com/file/2ifj2tykp ... Net4Box.7z

Good luck!
https://www.ntlite.com

Curt@invincea
Sandboxie Lead Developer
Sandboxie Lead Developer
Posts: 1664
Joined: Fri Jan 17, 2014 5:21 pm
Contact:

Re: Prog required framework 4

Post by Curt@invincea » Tue Jan 03, 2017 3:59 pm

swan_x wrote:Hi, first happy new year to everybody!
About your post i do not agree...if you read the changelog of sbie 3.32 :
"All versions of the .NET Framework (up to 3.5, including Silverlight) can be installed sandboxed"

Now it's possible installed framework into sandboxie!
But not the 4.0 or 4.5...then the developer on new release must be update the software to host framework 4...
Sandboxie 3.32 and .NET Framework 3.5 are both very old. I am afraid it is not as simple as "update the software to host framework 4"

.NET 4 wants to install and stop services. Sbie 4+ does not allow sandboxed applications to install or stop system services.

.NET is tightly integrated into Windows. You will need to install .NET in your host (outside the sandbox).

swan_x
Posts: 8
Joined: Tue Dec 27, 2016 12:37 pm

Re: Prog required framework 4

Post by swan_x » Wed Jan 04, 2017 12:52 pm

@ Curt@invincea
you're repeating...

@ Syrinx
thank to your support! But your trick it's the same that i have tried! Yes framework 461 it's possible to installed on sbie (I have try also your version on 7z file) but the problem ( i repeat) is when run after my prog the wmi service don't start, then my prog crashes!

Syrinx
Sandboxie Guru
Sandboxie Guru
Posts: 621
Joined: Fri Nov 13, 2015 4:11 pm

Re: Prog required framework 4

Post by Syrinx » Wed Jan 04, 2017 1:16 pm

The WMI service should be starting with the computer on Win7 or you're likely to have quite a buggy system so I don't understand what you mean about the program crashing after not being able to start it. What is the program you are trying to use? If you can share a link to its site I can take a closer look but if requires WMI there's a decent chance you will have to install net4 on the host as there is no way to run a second instance of the WMI service 'just for the box' and if .NET isn't installed on the host then the mofs will not be added to the repository and the WMI service won't recognize the classes and stuff. I'm not all that familiar with WMI but the only thing I can currently think to try is to manually add the mofs via mofcomp on the host but I'm not sure how that will work out with not having the rest of it on the host as well.
https://www.ntlite.com

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests